<!doctype html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
</head>
<body>

<table>
    <thead>
    <tr>
        <th>Vorname</th>
        <th>Nachname</th>
    </tr>
    </thead>
    <tbody>
    <tr>
        <td>David</td>
        <td>Schwarz</td>
    </tr>
    <tr>
        <td>Max</td>
        <td>Muster</td>
    </tr>
    <tr>
        <td>Maria</td>
        <td>Huber</td>
    </tr>
    </tbody>
</table>

<form id="addPersonForm">
    <input type="text" id="firstNameInput" placeholder="Vorname" name="firstName" required>
    <input type="text" id="lastNameInput" placeholder="Nachname" name="lastName" required>
    <input type="email" id="emailInput" placeholder="E-Mail Adresse" maxlength="10" name="email" required>
    <button>Hinzufügen</button>
</form>

<script>
    //const firstNameInput = document.getElementById('firstNameInput')
    const firstNameInput = document.querySelector('#firstNameInput')
    const lastNameInput = document.getElementById('lastNameInput')
    const addPersonForm = document.getElementById('addPersonForm')

    const persons = [
        createPersonObject('David', 'Schwarz'),
        createPersonObject('Max', 'Muster'),
        createPersonObject('Maria', 'Huber')
    ]

    function createPersonObject(firstName, lastName) {
        return {
            firstName: firstName,
            lastName: lastName
        }
    }

    if(addPersonForm) {
        addPersonForm.addEventListener('submit', function (event) {
            event.preventDefault()
            console.log(event)
            const newFirstName = firstNameInput.value
            const newLastName = lastNameInput.value

            if (newFirstName && newLastName) {
                persons.push(createPersonObject(newFirstName, newLastName))
                console.log(persons)

                for (let i = 0; i < persons.length; i++) {
                    console.log(persons[i].firstName.toUpperCase())
                    console.log(persons[i].lastName.toUpperCase())
                }
            }
        })
    }

    const person = {
        firstName: 'David',
        lastName: 'Schwarz'
    }
    console.log(person)

    console.log(person.firstName)

    person.firstName = 'Max'
    console.log(person.firstName)

    console.log(person['firstName'])
</script>

</body>
</html>
